'use strict';
import React from 'react';
import { connect } from  'react-redux';
import ImgToolComponent from '../../components/CommonComponent/CommonSmallComponent/ImgToolComponent/CommonSmalContainer'
require('./index.css');
class OtherQuestionContainer extends React.Component{
    constructor(props){
        super(props)
        this.state = {
            showCategoryElement:false,
            showDetailElement:false,
            currentLiIndex:0
        }
    }
    handleShowElement(value){
        console.log(value);
        console.log(this.state[value])
           this.setState(
               {
                   [value]:!this.state[value]
               }
           )
    }
    handleDetailProblem(event){
        this.setState({
            currentLiIndex: parseInt(event.currentTarget.getAttribute('date-index'))
        })
    }
    render(){
        let detailData1 = ["机器故障","机器故障","机器故障","机器故障","机器故障","机器故障","机器故障"];
        let detailData2 = ["机器故障","机器故障","机器故障","机器故障","机器故障","机器故障","机器故障"];
        let categoryProblemUi = detailData1.map((item,index)=>{
            return <li key={index}
                       date-index={index}
                       className={this.state.currentLiIndex == index ? 'active_li':''}
                       onClick={(e)=>(this.handleDetailProblem.bind(this,e))()}>{item}</li>
        })
        let detailCategoryProblemUi = detailData2.map((item,index)=>{
            return <li key={'detailProblem'+index}
                       date-index={index}
                       className={this.state.currentLiIndex == index ? 'active_li':''}
                       onClick={(e)=>(this.handleDetailProblem.bind(this,e))()}>{item}</li>
        })
        return (
            <div className={"OtherQuestionContainer"}>
                <div className={"otherQuestionTitleContainer"}>你是否有其他问题希望反馈(<i>*</i>必填项)</div>
                <div className={"editOtherQuestionContainer clearfix"}>
                    <div className={"editUploadItem clearfix"}>
                        <span className={"closeBtn"}>×</span>
                        <div className={"newTroubleTitle"}>
                            新故障问题：故障 <span>SD568844</span>
                        </div>
                        <div className={"newTroubleContent clearfix"}>
                            <span className={"startIcon"}>*</span>
                            <div className={"fakeSelect"}>
                                <div className={"problemCategoryTitle"} onClick={this.handleShowElement.bind(this,"showCategoryElement")} >分类问题</div>
                                {
                                    this.state.showCategoryElement?(
                                        <ul className={"problemCategory"}  name="" id="">
                                            {
                                                categoryProblemUi
                                            }
                                        </ul>
                                    ):""
                                }
                            </div>
                            <div className={"fakeSelect"}>
                                <div className={"problemCategoryTitle"} onClick={this.handleShowElement.bind(this,"showDetailElement")}>具体问题</div>
                                {
                                    this.state.showDetailElement?(
                                        <ul className={"DetailProblem"} name="" id="">
                                            {
                                                detailCategoryProblemUi
                                            }
                                        </ul>
                                    ):""
                                }
                            </div>
                        </div>
                        <div className={"newTroubleRemark clearfix"}>
                            <span className={"startIcon"}>*</span>
                            <div className={"remarkContent"}>
                                <div className={"editIcon"}>编辑</div>
                                <div className={"remarkText"}>编辑检查结果</div>
                            </div>
                        </div>
                        <div className={"damageImgs clearfix"}>

                            <div className={"uploadImgRight"}>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                                <ImgToolComponent type={"custom"} imgSrc = { require('./img/lol.gif')} ></ImgToolComponent>
                            </div>
                            <div className={"operationLeft"}>
                                <ImgToolComponent type={"refresh"}></ImgToolComponent>
                                <ImgToolComponent type={"add"}></ImgToolComponent>
                            </div>
                        </div>
                    </div>
                </div>
                <div className={"opeationContainer clearfix"}>
                    <button className={"addMoreBtn"}><span>+</span>录入更多</button>
                    <button className={"noMoreBtn"}>没有更多</button>
                </div>

            </div>
        )
    }
}
function select(store) {
    return Object.assign({}, {state: store})
}

export default connect(select)(OtherQuestionContainer)